# Class TCEFScrollViewComponent

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFScrollViewComponent

## Declaration

`type TCEFScrollViewComponent = class(TCEFViewComponent)`

## Description

This item has no description.

## Hierarchy

- TObject
- TPersistent
- TComponent
- TCEFViewComponent
- TCEFScrollViewComponent

## Overview

### Fields

| `FScrollView: ICefScrollView;`

### Methods

| `procedure DestroyView; override;`
| `procedure Initialize; override;`
| `function GetInitialized: boolean; override;`
| `function GetAsView: ICefView; override;`
| `function GetAsScrollView: ICefScrollView; override;`
| `function GetContentView: ICefView;`
| `function GetVisibleContentRect: TCefRect;`
| `function GetHasHorizontalScrollbar: boolean;`
| `function GetHorizontalScrollbarHeight: Integer;`
| `function GetHasVerticalScrollbar: boolean;`
| `function GetVerticalScrollbarWidth: Integer;`
| `procedure SetContentView(const view: ICefView);`
| `procedure doCreateCustomView; override;`
| `procedure CreateScrollView;`

### Properties

| `property ContentView : ICefView read GetContentView write SetContentView;`
| `property VisibleContentRect : TCefRect read GetVisibleContentRect;`
| `property HorizontalScrollbarHeight : Integer read GetHorizontalScrollbarHeight;`
| `property VerticalScrollbarWidth : Integer read GetVerticalScrollbarWidth;`
| `property HasHorizontalScrollbar : boolean read GetHasHorizontalScrollbar;`
| `property HasVerticalScrollbar : boolean read GetHasVerticalScrollbar;`

## Description

### Fields

| `FScrollView: ICefScrollView;`
This item has no description.

### Methods

| `procedure DestroyView; override;`
This item has no description.

| `procedure Initialize; override;`
This item has no description.

| `function GetInitialized: boolean; override;`
This item has no description.

| `function GetAsView: ICefView; override;`
This item has no description.

| `function GetAsScrollView: ICefScrollView; override;`
This item has no description.

| `function GetContentView: ICefView;`
This item has no description.

| `function GetVisibleContentRect: TCefRect;`
This item has no description.

| `function GetHasHorizontalScrollbar: boolean;`
This item has no description.

| `function GetHorizontalScrollbarHeight: Integer;`
This item has no description.

| `function GetHasVerticalScrollbar: boolean;`
This item has no description.

| `function GetVerticalScrollbarWidth: Integer;`
This item has no description.

| `procedure SetContentView(const view: ICefView);`
This item has no description.

| `procedure doCreateCustomView; override;`
ICefViewDelegateEvents

| `procedure CreateScrollView;`
Create a new ScrollView.

### Properties

| `property ContentView : ICefView read GetContentView write SetContentView;`
Get and set the content View. The content View must have a specified size (e.g. via ICefView.SetBounds or ICefViewDelegate.GetPreferredSize).

| `property VisibleContentRect : TCefRect read GetVisibleContentRect;`
Returns the visible region of the content View.

| `property HorizontalScrollbarHeight : Integer read GetHorizontalScrollbarHeight;`
Returns the height of the horizontal scrollbar.

| `property VerticalScrollbarWidth : Integer read GetVerticalScrollbarWidth;`
Returns the width of the vertical scrollbar.

| `property HasHorizontalScrollbar : boolean read GetHasHorizontalScrollbar;`
Returns true (1) if the horizontal scrollbar is currently showing.

| `property HasVerticalScrollbar : boolean read GetHasVerticalScrollbar;`
Returns true (1) if the vertical scrollbar is currently showing.

Generated by PasDoc 0.16.0-snapshot.